## org.eclipse.datatools.modelbase.sql.schema.util
Class SQLSchemaSwitch

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.schema.util.SQLSchemaSwitch

public class SQLSchemaSwitch
extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `SQLSchemaPackage`

Constructor Summary
`SQLSchemaSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` `caseCatalog(Catalog object)` Returns the result of interpretting the object as an instance of 'Catalog'.
`java.lang.Object` `caseComment(Comment object)` Returns the result of interpretting the object as an instance of 'Comment'.
`java.lang.Object` `caseDatabase(Database object)` Returns the result of interpretting the object as an instance of 'Database'.
`java.lang.Object` `caseDependency(Dependency object)` Returns the result of interpretting the object as an instance of 'Dependency'.
`java.lang.Object` `caseEModelElement(EModelElement object)` Returns the result of interpretting the object as an instance of 'EModel Element'.
`java.lang.Object` `caseENamedElement(ENamedElement object)` Returns the result of interpretting the object as an instance of 'ENamed Element'.
`java.lang.Object` `caseEvent(Event object)` Returns the result of interpretting the object as an instance of 'Event'.
`java.lang.Object` `caseIdentitySpecifier(IdentitySpecifier object)` Returns the result of interpretting the object as an instance of 'Identity Specifier'.
`java.lang.Object` `caseSchema(Schema object)` Returns the result of interpretting the object as an instance of 'Schema'.
`java.lang.Object` `caseSequence(Sequence object)` Returns the result of interpretting the object as an instance of 'Sequence'.
`java.lang.Object` `caseSQLObject(SQLObject object)` Returns the result of interpretting the object as an instance of 'SQL Object'.
`java.lang.Object` `caseTypedElement(TypedElement object)` Returns the result of interpretting the object as an instance of 'Typed Element'.
`java.lang.Object` `defaultCase(EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`java.lang.Object` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLSchemaSwitch

    public SQLSchemaSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseIdentitySpecifier

    public java.lang.Object caseIdentitySpecifier(IdentitySpecifier object)

  Returns the result of interpretting the object as an instance of 'Identity Specifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Identity Specifier'.
  See Also:
    `doSwitch(EObject)`

### caseTypedElement

    public java.lang.Object caseTypedElement(TypedElement object)

  Returns the result of interpretting the object as an instance of 'Typed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Typed Element'.
  See Also:
    `doSwitch(EObject)`

### caseDependency

    public java.lang.Object caseDependency(Dependency object)

  Returns the result of interpretting the object as an instance of 'Dependency'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Dependency'.
  See Also:
    `doSwitch(EObject)`

### caseSchema

    public java.lang.Object caseSchema(Schema object)

  Returns the result of interpretting the object as an instance of 'Schema'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Schema'.
  See Also:
    `doSwitch(EObject)`

### caseSQLObject

    public java.lang.Object caseSQLObject(SQLObject object)

  Returns the result of interpretting the object as an instance of 'SQL Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'SQL Object'.
  See Also:
    `doSwitch(EObject)`

### caseSequence

    public java.lang.Object caseSequence(Sequence object)

  Returns the result of interpretting the object as an instance of 'Sequence'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Sequence'.
  See Also:
    `doSwitch(EObject)`

### caseDatabase

    public java.lang.Object caseDatabase(Database object)

  Returns the result of interpretting the object as an instance of 'Database'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Database'.
  See Also:
    `doSwitch(EObject)`

### caseEvent

    public java.lang.Object caseEvent(Event object)

  Returns the result of interpretting the object as an instance of 'Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Event'.
  See Also:
    `doSwitch(EObject)`

### caseComment

    public java.lang.Object caseComment(Comment object)

  Returns the result of interpretting the object as an instance of 'Comment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Comment'.
  See Also:
    `doSwitch(EObject)`

### caseCatalog

    public java.lang.Object caseCatalog(Catalog object)

  Returns the result of interpretting the object as an instance of 'Catalog'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Catalog'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public java.lang.Object caseEModelElement(EModelElement object)

  Returns the result of interpretting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public java.lang.Object caseENamedElement(ENamedElement object)

  Returns the result of interpretting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `#doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.